Deployments.ai Docs
Providers

List connection grants

GET /v1/connection-grants · SDK listConnectionGrants · CLI deployments grant list

GET
/v1/connection-grants

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Query Parameters

cursor?string
Length1 <= length <= 4096
limit?integer
Range1 <= value <= 100

Header Parameters

x-deployments-environment*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

ListConnectionGrantsResponse

application/json
  1. response
items*array<>
nextCursor*string|null
curl -X GET "https://example.com/v1/connection-grants" \  -H "x-deployments-environment: string"
{  "items": [    {      "authorizationVersion": 0,      "connectionId": "string",      "createdAt": "2019-08-24T14:15:22Z",      "externalAccountId": "string",      "externalResourceConstraints": {        "property1": null,        "property2": null      },      "id": "string",      "providerKey": "string",      "purpose": "string",      "scopes": [        "string"      ],      "status": "active",      "updatedAt": "2019-08-24T14:15:22Z",      "version": 0,      "workspaceId": "string"    }  ],  "nextCursor": "string"}